All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::tools::uniform_random_numbers< NumericT > Class Template Reference

Random number generator for returning uniformly distributed values in the closed interval [0, 1]. More...

`#include <random.hpp>`

## Public Member Functions

NumericT | operator() () const

## Detailed Description

### template<typename NumericT>
class viennacl::tools::uniform_random_numbers< NumericT >

Random number generator for returning uniformly distributed values in the closed interval [0, 1].

Currently based on rand(), which may have fairly poor quality. To be replaced in the future, but serves the purpose for the time being.

Examples:
  blas1.cpp, blas2.cpp, and blas3.cpp.

Definition at line 44 of file random.hpp.

## Member Function Documentation

template<typename NumericT>

NumericT viennacl::tools::uniform_random_numbers< NumericT >::operator() | ( | void |  | ) | const

inline

Definition at line 47 of file random.hpp.

The documentation for this class was generated from the following file:

- viennacl/tools/random.hpp